{pkgs, ...}: {
    xdg.portal = {
        enable = true;
        wlr.enable = true;
    };
    
    # Enable automatic login for the user.
    services = {
        # flatpak dev.deedles.Trayscale
        # sudo tailscale up --operator=$USER 
        # use https://hs.wetofu.me
        tailscale.enable = true;
        blueman.enable = true;
        logrotate.checkConfig = false;
        flatpak.enable = true;
        
        greetd = {
            enable = true;
            settings = rec {
                initial_session = {
                    user = "user";
                    command = "${pkgs.greetd.greetd}/bin/agreety --cmd Hyprland";
                };
                default_session = initial_session;
            };
        };

        xserver = {
            layout = "cn";
            xkbVariant = "";
            libinput = {
                mouse = {
                    accelProfile = "flat";
                };
            };
        };

        pipewire = {
            enable = true;
            alsa.enable = true;
            pulse.enable = true;
        };
    };

    # List packages installed in system profile. To search, run:
    # $ nix search wget
    environment.systemPackages = with pkgs; [
        hyprland-protocols
        hyprland-share-picker
        xdg-desktop-portal-hyprland
    ];
  
    programs = {
        hyprland = {
            enable = true;
            xwayland = {
                enable = true;
                hidpi = true;
            };
        };

        git.enable = true;
        zsh.enable = true;
        light.enable = true;
    };
}