{
    layer = "top";
    position = "top";
    height = 24;

    modules-left = [
        "hyprland/window"
    ];
    modules-center = [ "wlr/workspaces" ];
    modules-right = [
        "backlight"
        "wireplumber"
        # "cpu"
        # "memory"
        "battery"
        "network"
        "tray"
        "clock"
    ];

    wireplumber = {
        tooltip = false;
        scroll-step = 5;
        format = "{icon}  {volume}%";
        format-muted = "{icon}  --";
        on-click ="wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle"; # wpctl?
        format-icons = {
            default = ["" "" ""];
        };
    };

    "hyprland/window" = {
        format = "{}";
        separate-outputs = true;
    };

    "wlr/workspaces" = {
        format = "{icon}";
        on-click = "activate";
        format-icons = {
            "1" = "";
            "2" = "";
            "3" = "";
            "4" = "";
            "5" = "";
            urgent = "";
            active = "";
            default = "";
        };
        sort-by-number = true;
    };

    network = {
        tooltip = false;
        format-wifi = "  {essid}";
        format-ethernet = "";
    };

    backlight = {
        tooltip = false;
        format = "  {}%";
        interval = 1;
        on-scroll-up = "light -A 5";
        on-scroll-down = "light -U 5";
    };
    
    battery = {
        states = {
            good = 95;
            warning = 30;
            critical = 20;
        };
        format = "{icon}  {capacity}%";
        format-charging = "  {capacity}%";
        format-plugged = "  {capacity}%";
        format-alt = "{time}  {icon}";
        format-icons = ["" "" "" "" ""];
    };

    tray = {
        icon-size = 24;
        spacing = 10;
    };

    clock = {
        format = "  {:%H:%M}";
        tooltip-format = "\n<span size='9pt' font='monospace'>{calendar}</span>";
        calendar = {
            mode = "month";
            weeks-pos = "right";
            format = {
                months = "<span color='#ffead3'><b>{}</b></span>";
                days = "<span color='#ecc6d9'><b>{}</b></span>";
                weeks = "<span color='#99ffdd'><b>W{}</b></span>";
                weekdays = "<span color='#ffcc66'><b>{}</b></span>";
                today = "<span color='#ff6699'><b><u>{}</u></b></span>";
            };
        };
    };

    cpu = {
        interval = 15;
        format = " {}%";
        max-length = 10;
    };

    memory = {
        interval = 30;
        format = " {}%";
        max-length = 10;
    };

    "custom/launcher" = {
        format = " ";
        on-click = "nwggrid";
    };

    "custom/power" = {
        format = "󰐥 ";
        on-click = "nwgbar";
    };
}
